<?php require_once('Connections/conn.php'); ?>
<?php session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="modificar_inscripcion.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="modificar_inscripcion.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
    // Abre la Base de Datos. 
    mysql_select_db("siga_pregrado");
    mysql_query ("SET NAMES 'utf8'");
	
    // Captura los datos que vienen de modificar_inscripcion_datos.php.
    $cedula=$_GET['cedula'];
    $id_carrera=$_GET['id_carrera'];
	
    // Busca el id del estudiante.
    $sql_alumno = "SELECT id_alumno, apellidos, nombres, sede FROM alumnos where cedula='$cedula'";
	$rs_alumno = mysql_query($sql_alumno, $conn) or die(mysql_error());
	$row_alumno = mysql_fetch_assoc($rs_alumno);
	$id_alumno=$row_alumno['id_alumno'];
	$sede_alumno=$row_alumno['sede'];
	$nombre_alumno= $row_alumno['apellidos'].', '.$row_alumno['nombres'];
	// Calcula el IDA del estudiante.
	$ida=calcular_ida($id_alumno,$id_carrera);
	
	
	 // Limpia el record tenporal del estudiante
	 $sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
     mysql_query($sql, $conn) or die(mysql_error());
	 
	 // Crea el record académico temporal del estudiante que se inscribirá. 
	 $sql = "insert into historico_notas_aux select * from historico_notas where  id_alumno='$id_alumno' and id_carrera='$id_carrera' and pensum='6'";
      mysql_query($sql, $conn) or die(mysql_error());
	
	// Datos de la carrera donde está inscrito el estudiante.
	$sql_carrera = "SELECT nombre_carrera FROM carreras where id_carrera='$id_carrera'";
	$rs_carrera = mysql_query($sql_carrera, $conn) or die(mysql_error());
	$row_carrera = mysql_fetch_assoc($rs_carrera);
	$nombre_carrera=$row_carrera['nombre_carrera'];
	
	$sql_carrera_alumno = "SELECT mencion,nivel,turno, sede FROM carreras_alumno where id_alumno='$id_alumno' and id_carrera='$id_carrera' and pensum='6'";
	$rs_carrera_alumno = mysql_query($sql_carrera_alumno, $conn) or die(mysql_error());
	$row_carrera_alumno = mysql_fetch_assoc($rs_carrera_alumno);
	$mencion= $row_carrera_alumno['mencion'];
	$nivel= $row_carrera_alumno['nivel'];
	$turno_alumno=$row_carrera_alumno['turno'];
	$sede_alumno=$row_carrera_alumno['sede'];
	
	$sql_sede = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede_alumno'";
	$rs_sede = mysql_query($sql_sede, $conn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['ubicacion_sede'].'-'.$row_sede['nombre_sede'];
	
	// Determina el período o lapso donde está inscrito el estudiante.
	$sql_inscripcion = "SELECT id_periodo, pensum FROM inscripciones where id_alumno='$id_alumno'";
	$rs_inscripcion = mysql_query($sql_inscripcion, $conn) or die(mysql_error());
	$total_rows_inscripcion = mysql_num_rows($rs_inscripcion);  
	if($total_rows_inscripcion!=0){
	    $fecha_hoy = date("Y-m-d"); 
	   $fecha = explode("-",date("Y-m-d")); 
            $annio = $fecha[0]; 
	    $row_inscripcion = mysql_fetch_assoc($rs_inscripcion);
	    $id_periodo=$row_inscripcion['id_periodo'];
	    $pensum=$row_inscripcion['pensum'];
	   // Valida si esta en historial_alumnos.
	   $sem=semestre($id_alumno);
	   $sql_inscripcion1 = "SELECT * FROM historial_alumnos where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
	   $rs_inscripcion1 = mysql_query($sql_inscripcion1, $conn) or die(mysql_error());
	   $total_rows_inscripcion1 = mysql_num_rows($rs_inscripcion1);
	   if($total_rows_inscripcion1==0){
	       $sql = "insert into `historial_alumnos` (id_alumno, id_carrera, pensum, mencion, nivel, id_periodo, sede, cedula, participante, nom_carrera, fecha, annio, semestre, turno, status) values('$id_alumno','$id_carrera','$pensum','$mencion','$nivel','$id_periodo','$sede_alumno','$cedula','$nombre_alumno','LICENCIATURA EN CIENCIAS FISCALES','$fecha_hoy','$annio','$sem','$turno_alumno','A')";
          mysql_query($sql, $conn) or die(mysql_error());
	   }
	   
	}

       // Datos del Lapso donde está inscrito el estudiante.
	$sql_periodo = "SELECT codigo,tipo FROM periodos where id_periodo='$id_periodo'";
	$rs_periodo = mysql_query($sql_periodo, $conn) or die(mysql_error());
	$row_periodo = mysql_fetch_assoc($rs_periodo);
	$descripcion_periodo=$row_periodo['codigo'].'-'.$row_periodo['tipo'];
	
	
	
	if($turno_alumno=="1") $nombre_turno="MATUTINO";
	if($turno_alumno=="2") $nombre_turno="VESPERTINO";
	if($turno_alumno=="4") $nombre_turno="NOCTURNO";
	
	
	$nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
	if($nivel=='CG') $nombre_nivel='COMPONENTE GENERAL';
	if($nivel=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	
	$nombre_mencion='COMÚN';
	if($mencion!='COMUN'){
	   $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$mencion' and id_carrera='$id_carrera'";
	   $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	   $row_mencion = mysql_fetch_assoc($rs_mencion);
	   $nombre_mencion=$row_mencion['nombre_mencion'];
	}
?>

<html>
<head>
<title>siga_pregrado -- inscripciones</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>

<script src="jquery.min.js" type="text/javascript"></script>

</head>

<script>
$(document).ready(function(){
	$("#id_materia").change(function(){
		$.post("carga_seccion_ofertada.php",{ id:$(this).val(),c:'<?php echo $id_carrera ?>',t:'<?php echo $turno_alumno ?>', s:'<?php echo $sede_alumno ?>'},function(data){$("#seccion").html(data);})
	});	
	
})
</script>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Modificaci&oacute;n de Inscripci&oacute;n</tr></table>
<table class="bd1" border="0" cellspacing="1" cellpadding="2">


<tr><td><b>C&Eacute;DULA:</b>&nbsp;&nbsp;<?php echo $cedula; ?>&nbsp;&nbsp;<b>ESTUDIANTE:</b>&nbsp;&nbsp;<?php echo $nombre_alumno; ?></td></tr>
<tr><td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $nombre_carrera; ?>&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;&nbsp;<?php echo $nombre_mencion; ?></td></tr>
<tr><td><b>NIVEL:</b>&nbsp;<?php echo $nombre_nivel ?>&nbsp;&nbsp;<b>SEDE:</b>&nbsp;<?php echo $nombre_sede ?>&nbsp;&nbsp;<b>TURNO:</b>&nbsp;<?php echo $nombre_turno ?></td></tr>
<tr><td><b>INDICE DE RENDIMIENTO ACAD&Eacute;MICO:</b>&nbsp;<?php echo number_format($ida,2,",",".") ?><b>&nbsp;&nbspLAPSO ACAD&Eacute;MICO:</b>&nbsp;&nbsp;<?php echo $descripcion_periodo; ?></td></tr>
</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 20;
  $pagerange = 20;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }


  mysql_close($conn);
?>

<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>

</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $conn;
  global $cedula;
  global $id_carrera;
  global $id_periodo;
  global $pensum;
  global $sede_alumno;
  global $turno_alumno;
  
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>

<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr" align="center">Cambiar<br>Secci&oacute;n</td>
<td class="hr" align="center">Borrar</td>
<td class="hr">C&oacute;digo</td>
<td class="hr" align="center"><?php echo "Unidad Curricular" ?></td>
<td class="hr" align="center"><?php echo "Sem." ?></td>
<td class="hr" align="center">Secci&oacute;n</td>
<td class="hr" align="center"><?php echo "Turno" ?></td>
<td class="hr" align="center"><?php echo "Sede" ?></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	
	$id_materia=$row["id_materia"];
	$id_carrera=$row["id_carrera"];
	$pensum=$row["pensum"];
	$sede=$row["sede"];
	$sql = "SELECT nombre_materia FROM materias where id_carrera='$id_carrera' and id_materia='$id_materia' and pensum='$pensum'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_materia = mysql_fetch_assoc($rs);
	$nombre_materia= $row_materia['nombre_materia'];
	
	$sede=$row["sede"];
	$sql = "SELECT ubicacion_sede, nombre_sede FROM sedes where codigo='$sede'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs);
	$nombre_sede= $row_sede['nombre_sede'].' ('.$row_sede['ubicacion_sede'].')';
	
	if($row["turno"]=="1") $nombre_turno="MATUTINO";
	if($row["turno"]=="2") $nombre_turno="VESPERTINO";
	if($row["turno"]=="4") $nombre_turno="NOCTURNO";

?>
<tr>

<td class="<?php echo $style ?>" align="center"><a href="modificar_inscripcion.php?a=edit&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="modificar_inscripcion.php?a=del&recid=<?php echo $i ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><img src="imagenes/delete.png" border="0" ></a></td>


<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_materia; ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_turno; ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_sede; ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $conn;
  
	$nombre_nivel='CURSO DE INICIACIÓN UNIVERSITARIA';
	if($row["nivel"]=='CG') $nombre_nivel='COMPONENTE GENERAL';
	if($row["nivel"]=='CP') $nombre_nivel='CICLO PROFESIONAL'; 
	
	$nombre_mencion='COMÚN';
	$mencion=$row["mencion"];
	$id_carrera=$row["id_carrera"];
	if($row["mencion"]!='COMUN'){
	   $sql_mencion = "SELECT nombre_mencion FROM menciones where id_mencion='$mencion' and  id_carrera='$id_carrera'";
	   $rs_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
	   $row_mencion = mysql_fetch_assoc($rs_mencion);
	   $nombre_mencion=$row_mencion['nombre_mencion'];
	}
	
	if($row["turno"]=="1") $nombre_turno="MATUTINO";
	if($row["turno"]=="2") $nombre_turno="VESPERTINO";
	if($row["turno"]=="4") $nombre_turno="NOCTURNO";
	
	$sede=$row["sede"];
	$sql_sede = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
	$rs_sede = mysql_query($sql_sede, $conn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['ubicacion_sede'].'-'.$row_sede['nombre_sede'];
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="50%">
<tr>
<td class="hr">Matr&iacute;cula del estudiante&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
</tr>
<tr>
<td class="hr">C&oacute;digo de Materia&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_sede; ?></td>
</tr>
<tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_turno; ?></td>
</tr>
<tr>
<td class="hr">Programa&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Pensum")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["pensum"]) ?></td>
</tr>
<tr>
<td class="hr">Menci&oacute;n&nbsp;</td>
<td class="dr"><?php echo $nombre_mencion; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_nivel; ?></td>
</tr>

<tr>
<td class="hr">Lapso Acad&eacute;mico&nbsp;</td>
<td class="dr"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
</tr>



</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $id_alumno;
  global $id_carrera;
  global $mencion;
  global $nivel;
  global $sede_alumno;
  global $turno_alumno;
  global $id_periodo;
  global $pensum;
  
  $id_materia=$row['id_materia'];
  $semestre=$row['semestre'];
  $mencion_materia=$row['mencion'];
  $turno_materia=$row['turno'];
  $sede_materia=$row['sede'];
  $nivel_materia=$row['nivel'];
  
  $sql_materia = "SELECT nombre_materia FROM materias where id_carrera='$id_carrera' and pensum='$pensum' and id_mencion='$mencion_materia' and id_materia='$id_materia'";
// echo $sql_materia;
  $rs_materia = mysql_query($sql_materia, $conn) or die(mysql_error());
  $row_materia = mysql_fetch_assoc($rs_materia);  
  
  
  if($row["turno"]=="1") $nombre_turno="MATUTINO";
  if($row["turno"]=="2") $nombre_turno="VESPERTINO";
  if($row["turno"]=="4") $nombre_turno="NOCTURNO";
 
  $sede=$row["sede"];
  $sql_sede = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
  $rs_sede = mysql_query($sql_sede, $conn) or die(mysql_error());
  $row_sede = mysql_fetch_assoc($rs_sede);
  $nombre_sede=$row_sede['nombre_sede'].' ('.$row_sede['ubicacion_sede'].')';
  

  $sql_oferta = "SELECT oferta_academica.id_seccion,oferta_academica.sede,sedes.ubicacion_sede,sedes.nombre_sede FROM oferta_academica,sedes where oferta_academica.sede=sedes.codigo and oferta_academica.id_carrera='$id_carrera' and oferta_academica.id_periodo='$id_periodo' and oferta_academica.pensum='$pensum' and oferta_academica.mencion='$mencion_materia' and oferta_academica.nivel='$nivel_materia' and oferta_academica.semestre='$semestre' and oferta_academica.sede='$sede_materia' and oferta_academica.id_materia='$id_materia'";
 if($turno_alumno=='4'){
	$sql_oferta=$sql_oferta." and oferta_academica.turno='4'";
 }
 else{
    $sql_oferta=$sql_oferta." and (oferta_academica.turno='1' or oferta_academica.turno='2')";
 }
// echo $sql_oferta;
 $rs_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
 $row_oferta = mysql_fetch_assoc($rs_oferta);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre de la Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_materia['nombre_materia']; ?>
</td>
</tr>
<tr>
<td class="hr">Semestre</td>
<td class="dr"><?php echo $row['semestre']; ?>
</td>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_turno ?>
</td>
<tr>
<td class="hr">Sede</td>
<td class="dr"><?php echo $nombre_sede; ?>
</td>
<tr>
</tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><select id="id_seccion" name="id_seccion">
            <option value="<?php echo $row["id_seccion"].'/'.$sede ?>"><?php echo $row["id_seccion"].' ('.$row_sede["nombre_sede"].')'; ?></option>
			<?php
do {  
?>
  <option value="<?php echo $row_oferta['id_seccion'].'/'.$row_oferta['sede'] ?>"><?php echo $row_oferta['id_seccion'].' ('.$row_oferta["nombre_sede"].')' ?></option>
  <?php
} while ($row_oferta = mysql_fetch_assoc($rs_oferta));
  $rows = mysql_num_rows($rs_oferta);
  if($rows > 0) {
      mysql_data_seek($rs_oferta, 0);
	  $row_oferta = mysql_fetch_assoc($rs_oferta);
  }
?></select>
        </select></td>
</tr>

</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  global $id_alumno;
  global $id_carrera;
  global $mencion;
  global $nivel;
  global $sede_alumno;
  global $turno_alumno;
  global $id_periodo;
  global $pensum;
  
  if($mencion=='COMUN'){
  $sql_oferta = "SELECT DISTINCT id_materia,nmateria,semestre FROM oferta_academica where id_carrera='$id_carrera' and id_periodo='$id_periodo' and pensum='$pensum' and mencion='$mencion' and nivel='$nivel' and sede='$sede_alumno' and (semestre>0 and semestre<=3)";

	}
	else{
	$sql_oferta = "SELECT DISTINCT id_materia,nmateria,semestre FROM oferta_academica where id_carrera='$id_carrera' and id_periodo='$id_periodo' and pensum='$pensum' and (mencion='$mencion' or mencion='COMUN') and sede='$sede_alumno'";
	}
	if($turno_alumno=='4'){
	   $sql_oferta=$sql_oferta." and turno='4' order by nmateria";
	}
	else{
	   $sql_oferta=$sql_oferta." and (turno='1' or turno='2') order by nmateria";
	}
 // echo $sql_oferta;
	$rs_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
	$row_oferta = mysql_fetch_assoc($rs_oferta);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">
<tr>
<tr>

<td class="hr"><?php echo htmlspecialchars("Unidades Curriculares Ofertadas")."&nbsp;" ?></td>
<td class="dr"><select id="id_materia" name="id_materia" onChange="validar_oferta(this.value,'<?php echo $id_carrera?>','<?php echo $pensum?>','<?php echo $mencion?>','<?php echo $id_alumno?>')">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_oferta['id_materia']?>"><?php echo $row_oferta['nmateria'].' ('.$row_oferta['semestre'].')' ?></option>
  <?php
} while ($row_oferta = mysql_fetch_assoc($rs_oferta));
  $rows = mysql_num_rows($rs_oferta);
  if($rows > 0) {
      mysql_data_seek($rs_oferta, 0);
	  $row_oferta = mysql_fetch_assoc($rs_oferta);
  }
?>
</select><iframe name="frame_oferta" id="frame_oferta" with="0" height="0" frameborder="0" ></iframe>
</td>
</tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr"><select id="seccion" name="seccion">
            <option value="0">Seleccione...</option>
        </select></td>
</tr>

</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
global $cedula;
global $id_carrera;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?a=add&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Inscribir Materia</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $j ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="modificar_inscripcion.php?page=<?php echo $startpage ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="modificar_inscripcion.php?page=<?php echo $page + 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
global $cedula;
global $id_carrera;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="modificar_inscripcion.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="modificar_inscripcion.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
global $cedula;
global $id_carrera;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post" onSubmit="return checkSubmit();">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id" => "",
  "id_alumno" => "",
  "sede" => "",
  "id_seccion" => "",
  "id_carrera" => "",
  "pensum" => "",
  "nivel" => "",
  "mencion" => "",
  "id_periodo" => "",
  "semestre" => "",
  "turno" => "",
  "id_materia" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="btsubmit" id="btsubmit"  value="Inscribir"></p>
</form>
<?php } ?>

<?php function editrec($recid)
{
global $cedula;
global $id_carrera;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xnivel" value="<?php echo $row["nivel"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
global $cedula;
global $id_carrera;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="modificar_inscripcion.php?id_carrera=<?php echo $id_carrera?>&cedula=<?php echo $cedula?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xnivel" value="<?php echo $row["nivel"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
global $conn;
global $cedula;
global $id_carrera;
global $id_alumno;
  
  $sql = "SELECT `id`, `id_alumno`, `sede`, `id_seccion`, `id_carrera`, `pensum`, `nivel`, `mencion`, `id_periodo`, `semestre`, `turno`, `id_materia` FROM `inscripciones` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $id_alumno;

  $sql = "SELECT COUNT(*) FROM `inscripciones` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  
  global $id_alumno;
  global $id_carrera;
  global $mencion;
  global $nivel;
  global $sede_alumno;
  global $turno_alumno;
  global $id_periodo;
  global $pensum;
  
    // Datos del usuario que accesa.
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;

  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $seccion=@$_POST["seccion"];
  $id_materia=@$_POST["id_materia"];

$sql_semestre = "SELECT semestre FROM  materias WHERE id_materia='$id_materia' and pensum='$pensum'"; 
// echo $sql_semestre.'<br>';
$rst_semestre = mysql_query($sql_semestre, $conn) or die(mysql_error());
$row_semestre = mysql_fetch_assoc($rst_semestre);
$semestre = $row_semestre['semestre'];
// echo $semestre.'<br>';

  // Tomo el código de la sección donde quiere inscribir la materia.
$sql_codsec = "SELECT codigo_seccion FROM  secciones WHERE seccion='$seccion' and sede='$sede_alumno' and mencion='$mencion' and nivel='$nivel' and periodo='$id_periodo' and turno='$turno_alumno' and semestre='$semestre'"; 
echo $sql_codsec.'<br>';
$rst_codsec = mysql_query($sql_codsec, $conn) or die(mysql_error());
$row_codsec = mysql_fetch_assoc($rst_codsec);
$codigo_seccion = $row_codsec['codigo_seccion'];
 echo $codigo_seccion.'<br>';
// Valida el choque de horas de la materia que se esta inscribiendo
$sql = "SELECT concat(codigo_dia,codigo_hora)
FROM horarios
WHERE 
horarios.seccion = '$codigo_seccion'
AND horarios.id_materia = '$id_materia'
AND horarios.id_periodo = '$id_periodo'
AND concat(codigo_dia,codigo_hora) 
IN 
(SELECT CONCAT(codigo_dia, codigo_hora ) 
FROM horarios, `inscripciones`, secciones
WHERE inscripciones.id_alumno =  '$id_alumno'
AND inscripciones.id_periodo ='$id_periodo'
AND horarios.seccion = secciones.codigo_seccion
AND horarios.id_materia = inscripciones.id_materia
AND horarios.codigo_turno = inscripciones.turno
AND horarios.codigo_sede = inscripciones.sede
AND horarios.id_periodo = inscripciones.id_periodo)";
echo $sql.'<br>';
$rs = mysql_query($sql, $conn) or die(mysql_error());
$rows = mysql_num_rows($rs);
if($rows!=0){
 ?>
	     <script type="text/javascript">
	        msj="!Lo sentimos!.\nUnidad curricular <<<?php echo $id_materia ?>>> Sección: <<<?php echo $seccion ?>>> causa choque de horas.\nIntente con otra sección."
	 	    alert(msj);
	     </script>
	 <?php
  return;
 }		
  
  
  // Determino el semestre, turno, mencion y profesor de la materia.
  $sql = "SELECT semestre,id_profesor, turno, mencion, nivel FROM oferta_academica WHERE id_carrera='$id_carrera' and id_periodo='$id_periodo' and pensum='$pensum' and sede='$sede_alumno' and id_seccion='$seccion' and id_materia='$id_materia'";
// echo $sql; 
 $rs=mysql_query($sql, $conn);
  $row_materia = mysql_fetch_assoc($rs);
  $semestre=$row_materia['semestre'];
  $id_profesor=$row_materia['id_profesor'];
  $turno=$row_materia['turno'];
  $mencion_materia=$row_materia['mencion'];
  $nivel_materia=$row_materia['nivel'];
  
  // Datos del estudiante
  $sql_alum = "SELECT cedula, apellidos, nombres FROM alumnos WHERE id_alumno='$id_alumno' ";
  $rs_alum=mysql_query($sql, $conn);
  $row_alum = mysql_fetch_assoc($rs);
  $cedula=$row_alum['cedula'];
  $participante=$row_alum['apellidos'].', '.$row_alum['nombres'];
 
  $fecha = explode("-",date("Y-m-d")); 
  $annio = $fecha[0]; 
  
  // Aquí debo verificar si la materia tiene o no tiene cupo.
  
  
      $sql_cupos = "SELECT cupos-inscritos as cupos_disponibles FROM oferta_academica where id_carrera='$id_carrera' and            id_periodo='$id_periodo' and sede='$sede_alumno' and id_materia='$id_materia' and id_seccion='$seccion' and            semestre='$semestre' ";
      $rs_cupos = mysql_query($sql_cupos, $conn) or die(mysql_error());
      $rows_cupos = mysql_num_rows($rs_cupos);
      $rst_cupos = mysql_fetch_assoc($rs_cupos);
      $cupos_disponibles=$rst_cupos["cupos_disponibles"];
	  
      if($cupos_disponibles>0){
   
         $sql = "insert into `inscripciones` (`id_alumno`, `sede`, `id_seccion`, `id_carrera`, `pensum`, `nivel`, `mencion`, `id_periodo`, `semestre`, `turno`, `id_materia`,`id_docente`,`annio`) values ('$id_alumno', '$sede_alumno', '$seccion', '$id_carrera', '$pensum', '$nivel_materia', '$mencion_materia', '$id_periodo', '$semestre', '$turno', '$id_materia','$id_profesor','$annio')";
         mysql_query($sql, $conn) or die(mysql_error());
  
        // Guarda el Registro de Auditoría
  		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Incluir unidad curricular a la inscripción";
  		$script="modificar_inscripcion.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  		mysql_query($sql1, $conn) or die(mysql_error());

        $sem=semestre($id_alumno);
        // Crea el historial del alumno, en caso de que no exista.
        $sql = "SELECT * FROM `historial_alumnos` where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
        $res = mysql_query($sql, $conn) or die(mysql_error());
        $reg = mysql_num_rows($res);
        if($res==0){
           $sql = "insert into `historial_alumnos` (id_alumno, id_carrera, pensum, mencion, nivel, id_periodo, sede, cedula, participante, nom_carrera, fecha, annio, semestre, turno, status) values('$id_alumno','$id_carrera','$pensum','$mencion_materia','$nivel','$id_periodo','$sede_alumno','$cedula','$participante','LICENCIATURA EN CIENCIAS FISCALES','$fecha','$annio','$sem','$turno_alumno','A')";
          mysql_query($sql, $conn) or die(mysql_error());
        }
        // Actualiza el semestre del alumno
        $sem=semestre($id_alumno);
        $sql = "update `historial_alumnos` set status='A', `semestre`='$sem' where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
        mysql_query($sql, $conn) or die(mysql_error());

        // Actualiza los cupos disponibles.
        $query_materias = "Select id_carrera,sede,id_periodo,id_seccion,semestre,turno,nivel,pensum,mencion,id_materia from oferta_academica";
        $rst_materias = mysql_query($query_materias, $conn) or die(mysql_error());
        //$row_materias = mysql_fetch_assoc($rst_materias);
        $totalRows_materias = mysql_num_rows($rst_materias);  
        if($totalRows_materias >0)
        {
	       while($row = mysql_fetch_assoc($rst_materias))
		   {	
	         $seccion=$row["id_seccion"];
	         $semestre=$row["semestre"];	
	         $materia=$row["id_materia"];
	         $sede_oferta=$row["sede"];
	         $semestre=$row["semestre"];
             $sql="UPDATE oferta_academica SET inscritos = ( SELECT COUNT( * )
FROM `inscripciones`
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia' 
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo')
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia'
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo'";
             mysql_query($sql, $conn) or die(mysql_error());
		}		
     }
 }
 else{
 ?>
	     <script type="text/javascript">
	        msj="!Lo sentimos!.\nUnidad Curricular <<<?php echo $id_materia ?>>> no tiene cupo en la sección <<<?php echo $seccion ?>>>.\nPor favor intente con otra sección"
	 	    alert(msj);
	     </script>
	 <?php
 
 
 }		
}
  
function sql_update()
{
  global $conn;
  global $id_alumno;
  global $id_periodo;
  global $_POST;

// Datos del usuario que accesa.
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;


  $a= explode("/",$_POST["id_seccion"]);
  
  $sede=@$_POST["xsede"];
  $seccion_actual=@$_POST["xid_seccion"];
  $carrera=@$_POST["xid_carrera"];
  $pensum=@$_POST["xpensum"];
  $mencion=@$_POST["xmencion"];
  $nivel=@$_POST["xnivel"];
  $periodo=@$_POST["xid_periodo"];
  $sem=@$_POST["xsemestre"];
  $turno_actual=@$_POST["xturno"];
  $id_materia=@$_POST["xid_materia"];  


  // Datos del cambio
  $nueva_seccion=$a[0];
  $nueva_sede=$a[1];
  
  // Cheque si hay choque de horas
  
    // Tomo el código de la sección donde quiere inscribir la materia.
$sql_codsec = "SELECT codigo_seccion FROM  secciones WHERE seccion='$nueva_seccion' and sede='$nueva_sede' and mencion='$mencion' and nivel='$nivel' and periodo='$id_periodo' and turno='$turno_actual' and semestre='$sem'"; 

$rst_codsec = mysql_query($sql_codsec, $conn) or die(mysql_error());
$row_codsec = mysql_fetch_assoc($rst_codsec);
$codigo_seccion = $row_codsec['codigo_seccion'];
// echo $codigo_seccion.'<br>'; 
// Valida el choque de horas de la materia que se esta inscribiendo
$sql = "SELECT concat(codigo_dia,codigo_hora)
FROM horarios
WHERE 
horarios.seccion = '$codigo_seccion'
AND horarios.id_materia = '$id_materia'
AND concat(codigo_dia,codigo_hora) 
IN 
(SELECT CONCAT( codigo_dia, codigo_hora ) 
FROM horarios,  `inscripciones` , secciones
WHERE inscripciones.id_alumno =  '$id_alumno'
AND inscripciones.id_periodo ='$id_periodo'
AND horarios.seccion = secciones.codigo_seccion
AND horarios.id_materia = inscripciones.id_materia
AND horarios.codigo_turno = inscripciones.turno
AND horarios.codigo_sede = inscripciones.sede
AND horarios.id_periodo = inscripciones.id_periodo)";
 // echo $sql.'<br>';
$rs = mysql_query($sql, $conn) or die(mysql_error());
$rows = mysql_num_rows($rs);
if($rows!=0){
 ?>
	     <script type="text/javascript">
	        msj="!Lo sentimos!.\nUnidad curricular <<<?php echo $id_materia ?>>> Sección: <<<?php echo $nueva_seccion ?>>> causa choque de horas.\nIntente con otra sección."
	 	    alert(msj);
	     </script>
	 <?php
  return;
 }	
  //FIn de Chequeo Choque de Horas
  
  // Busco el Docente y Turno de la nueva Sección
  $sql = "SELECT id_profesor, turno,mencion FROM oferta_academica WHERE semestre='$sem' and id_seccion='$nueva_seccion' and id_materia='$id_materia' and id_carrera='$carrera' and pensum='$pensum' and mencion='$mencion' and nivel='$nivel' and id_periodo='$periodo'";
  $rs = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($rs);
  $nuevo_docente=$row['id_profesor'];
  $nuevo_turno=$row['turno'];
  $mencion_materia=$row['mencion'];
  
  // Aqui verificar si la nueva seccion tiene cupo.
   $sql_cupos = "SELECT cupos-inscritos as cupos_disponibles FROM oferta_academica where id_carrera='$carrera' and            id_periodo='$periodo' and sede='$nueva_sede' and id_materia='$id_materia' and id_seccion='$nueva_seccion' and semestre='$sem' ";
   // echo $sql_cupos.'<br>';
      $rs_cupos = mysql_query($sql_cupos, $conn) or die(mysql_error());
      $rows_cupos = mysql_num_rows($rs_cupos);
      $rst_cupos = mysql_fetch_assoc($rs_cupos);
      $cupos_disponibles=$rst_cupos["cupos_disponibles"];
	  //echo 'Cupos Disponibles: '.$cupos_disponibles;
      if($cupos_disponibles>0){
  
  // Actualizo el cambio.
  $sql = "UPDATE `inscripciones` SET `id_seccion`='$nueva_seccion',sede='$nueva_sede', id_docente='$nuevo_docente', turno='$nuevo_turno', mencion='$mencion_materia' WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' and id_materia='$id_materia' and semestre='$sem' ";
  mysql_query($sql, $conn) or die(mysql_error());
  
  // Guarda el Registro de Auditoría
  		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Cambio de sección en inscripción";
  		$script="modificar_inscripcion.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  		mysql_query($sql1, $conn) or die(mysql_error());


   // Actualiza el semestre del alumno
  $sem=semestre($id_alumno);
  $sql = "update `historial_alumnos` set status='A', `semestre`='$sem' where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
  mysql_query($sql, $conn) or die(mysql_error());
 
// Actualiza los cupos disponibles.
  $query_materias = "Select id_carrera,sede,id_periodo,id_seccion,semestre,turno,nivel,pensum,mencion,id_materia from oferta_academica";
$rst_materias = mysql_query($query_materias, $conn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_materias = mysql_num_rows($rst_materias);  
if($totalRows_materias >0)
{
	while($row = mysql_fetch_assoc($rst_materias))
		{	
	$seccion=$row["id_seccion"];
	$semestre=$row["semestre"];	
	$materia=$row["id_materia"];
	$sede_oferta=$row["sede"];
	$semestre=$row["semestre"];
    $sql="UPDATE oferta_academica SET inscritos = ( SELECT COUNT( * )
FROM `inscripciones`
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia' 
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo')
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia'
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo'";
 mysql_query($sql, $conn) or die(mysql_error());
				}
}	
}
 else{
 ?>
	     <script type="text/javascript">
	        msj="!Lo sentimos!.\nUnidad Curricular <<<?php echo $id_materia ?>>> no tiene cupo en la sección <<<?php echo $nueva_seccion ?>>>.\nPor favor intente con otra sección"
	 	    alert(msj);
	     </script>
	 <?php
 }		
}

function sql_delete()
{
  global $conn;
  global $cedula;
  global $id_carrera;
  global $id_alumno;
  global $id_periodo;
// Datos del usuario que accesa.
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;


  $sede=@$_POST["xsede"];
  $seccion_actual=@$_POST["xseccion"];
  $carrera=@$_POST["xid_carrera"];
  $pensum=@$_POST["xpensum"];
  $mencion=@$_POST["xmencion"];
  $nivel=@$_POST["xnivel"];
  $periodo=@$_POST["xid_periodo"];
  $sem=@$_POST["xsemestre"];
  $turno_actual=@$_POST["xturno"];
  $id_materia=@$_POST["xid_materia"];  

  
  $sql = "delete from `inscripciones` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());


 $sql_audita="delete from inscripciones
WHERE seccion = '$seccion_actual'
AND semestre = '$sem'
AND id_materia = '$id_materia' 
AND sede = '$sede'
and turno='$turno_actual'
AND id_periodo = '$periodo'
and id_alumno='$id_alumno'";

// Guarda el Registro de Auditoría
  		$consulta=addslashes($sql_audita);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Eliminar unidad curricular a la inscripción";
  		$script="modificar_inscripcion.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  		mysql_query($sql1, $conn) or die(mysql_error());


  
  // Elimina el historial del alumno en caso de que ya no tenga materias inscritas.
  $sql = "SELECT `id`, `id_alumno`, `sede`, `id_seccion`, `id_carrera`, `pensum`, `nivel`, `mencion`, `id_periodo`, `semestre`, `turno`, `id_materia` FROM `inscripciones` where id_alumno='$id_alumno' ";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $reg = mysql_num_rows($res);
  if($reg==0){
      $sql = "delete from `historial_alumnos` where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
  mysql_query($sql, $conn) or die(mysql_error());
  }
  else{
      // Actualiza el semestre del alumno
      $sem=semestre($id_alumno);
      $sql = "update `historial_alumnos` set status='A', `semestre`='$sem' where id_alumno='$id_alumno' and id_periodo='$id_periodo'";
      mysql_query($sql, $conn) or die(mysql_error());
  }

// Actualiza los cupos disponibles.
  $query_materias = "Select id_carrera,sede,id_periodo,id_seccion,semestre,turno,nivel,pensum,mencion,id_materia from oferta_academica";
$rst_materias = mysql_query($query_materias, $conn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_materias = mysql_num_rows($rst_materias);  
if($totalRows_materias >0)
{
	while($row = mysql_fetch_assoc($rst_materias))
		{	
	$seccion=$row["id_seccion"];
	$semestre=$row["semestre"];	
	$materia=$row["id_materia"];
	$sede_oferta=$row["sede"];
	$semestre=$row["semestre"];
    $sql="UPDATE oferta_academica SET inscritos = ( SELECT COUNT( * )
FROM `inscripciones`
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia' 
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo')
WHERE id_seccion = '$seccion'
AND semestre = '$semestre'
AND id_materia = '$materia'
AND sede = '$sede_oferta'
AND id_periodo = '$id_periodo'";
 mysql_query($sql, $conn) or die(mysql_error());
				}
}
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}


function calcular_ida($id_alumno,$id_carrera)
{
global $conn;

    mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");
	$sql = "Select
	SUM(historico_notas.nota*materias.uc) AS notas_x_creditos,SUM(materias.uc) as creditos_cursados
	From
	historico_notas
	Inner Join materias ON historico_notas.id_materia = materias.id_materia
	Where
	historico_notas.id_alumno = '$id_alumno' AND
	historico_notas.id_carrera = '$id_carrera'
	";
	$result = mysql_query ($sql,$conn) or die (mysql_error()); 
	$rst_ida = mysql_fetch_assoc($result);
	$creditos_cursados=$rst_ida['creditos_cursados'];
	$sumatoria_notas_por_creditos=$rst_ida['notas_x_creditos']; 
	if($creditos_cursados!=0)
	{
	   $ida=$sumatoria_notas_por_creditos/$creditos_cursados;
	}
	else{
	   $ida=0;
	}
	return $ida;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
}
  
function semestre($id_alumno)
{
   global $conn;
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='1' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre1= current($row);
  
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='2' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre2= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='3' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre3= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='4' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre4= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='5' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre5= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='6' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre6= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='7' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre7= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='8' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre8= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='9' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre9= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='10' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $conn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre10= current($row);
  
   $matriz = array(0,$semestre1,$semestre2,$semestre3,$semestre4,$semestre5,$semestre6,$semestre7,$semestre8,$semestre9,$semestre10); 
   
   $max=0;
   
   for ($i=1; $i<count($matriz); $i++){
        if($matriz[$i]>$max){
		   $max=$matriz[$i];
		   $sem=$i;
		}
	}
	return $sem;   
}
?>


<script type="text/javascript">
	
function validar_oferta(materia,carrera,pensum,mencion,id_alumno)
{	
  if (materia!=0)
	 {
	    url="validar_oferta_materia.php?materia="+materia+"&carrera="+carrera+"&pensum="+pensum+"&mencion="+mencion+"&id_alumno="+id_alumno;
	    frame_oferta.location=url;
	 }	
}
</script>	

<script type="text/javascript">
	function validar_datos()
	{
	 			
		if(document.form1.id_materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.id_materia.focus();
			return false;
			}
			if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
	    return true;
	}
	
</script>	

<script type="text/javascript">
    var statSend = false;
    function checkSubmit() {
	
	    if(document.form1.id_materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.id_materia.focus();
			return false;
			}
			if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
        if (!statSend) {
            statSend = true;
            return true;
        } else {
            alert("Por favor sea paciente.\nModificación de Inscripción está en proceso.");
            return false;
        }
    }
</script>	


